Package tigase.server.xmppclient

## Class StreamManagementIOProcessor.OutQueue

- java.lang.Object
- - tigase.server.xmppclient.StreamManagementIOProcessor.Counter
  - - tigase.server.xmppclient.StreamManagementIOProcessor.OutQueue

- Enclosing class:
    StreamManagementIOProcessor

      public static class StreamManagementIOProcessor.OutQueue
      extends StreamManagementIOProcessor.Counter

  OutQueue class implements queue of outgoing packets waiting for ack with implementation of removing acked elements when id of acked packet is passed

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `StreamManagementIOProcessor.OutQueue.Entry` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OutQueue()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `ack​(int value)` | Confirm delivery of packets up to count passed as value
    `boolean` | `append​(Packet packet, int timeoutInSec)` | Deprecated.
    `boolean` | `append​(Packet packet, int maxQueueSize, int timeoutInSec)` | Append packet to waiting for ack queue
    `protected java.util.ArrayDeque<StreamManagementIOProcessor.OutQueue.Entry>` | `getQueue()` | Method returns internal queue with packets waiting for ack - use testing only!
    `void` | `setResumptionEnabled​(boolean enabled)` |
    `int` | `waitingForAck()` | Returns size of queue containing packets waiting for ack

    - ### Methods inherited from class tigase.server.xmppclient.StreamManagementIOProcessor.Counter

      `get, inc, setCounter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutQueue

          public OutQueue()

  - ### Method Detail

    - #### append

          @Deprecated
          public boolean append​(Packet packet,
                                int timeoutInSec)

      Deprecated.
      Append packet to waiting for ack queue

    - #### append

          public boolean append​(Packet packet,
                                int maxQueueSize,
                                int timeoutInSec)

      Append packet to waiting for ack queue

    - #### ack

          public void ack​(int value)

      Confirm delivery of packets up to count passed as value

    - #### setResumptionEnabled

          public void setResumptionEnabled​(boolean enabled)

    - #### waitingForAck

          public int waitingForAck()

      Returns size of queue containing packets waiting for ack

    - #### getQueue

          protected java.util.ArrayDeque<StreamManagementIOProcessor.OutQueue.Entry> getQueue()

      Method returns internal queue with packets waiting for ack - use testing only!